CuraeAI Developers
API referencePlatform Webhooks

Update a Platform webhook endpoint

Updates mutable fields of a webhook endpoint owned by the API key's customer account.

PATCH/api/platform/v1/webhook-endpoints/{id}

Updates mutable fields of a webhook endpoint owned by the API key's customer account.

Authorization

platformApiKey
AuthorizationBearer <token>

CuraeAI Platform API key using the format Bearer . Keys are opaque credentials such as cae_live_..., not JWTs.

In: header

Path Parameters

id*string

Webhook endpoint identifier.

Header Parameters

If-Match?string

Optional entity tag precondition. When supplied, the mutation succeeds only if the current resource version matches one of the validators or *.

Idempotency-Key?string

Optional idempotency key to make this mutation safe to retry. Replays of the same (apiKey, key) within 24h return the original response.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X PATCH "https://example.com/api/platform/v1/webhook-endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "resourceType": "WebhookEndpoint",  "url": "http://example.com",  "eventTypes": [    "patient.created"  ],  "status": "ACTIVE",  "consecutiveFailures": 0,  "lastDeliveryAttemptAt": "2019-08-24T14:15:22Z",  "lastSuccessfulDeliveryAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "_version": "string",  "_links": {    "self": {      "href": "string"    }  }}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "code": "string",  "details": {},  "retryable": true}